## org.apache.batik.gvt.event
Class SelectionEvent

    java.lang.Object
      org.apache.batik.gvt.event.SelectionEvent

public class SelectionEvent
extends java.lang.Object

An event which indicates that a selection is being made or has been made.

Field Summary
`protected java.awt.Shape` `highlightShape` The shape enclosing the selection
`protected int` `id` The event type of the current selection event
`protected java.lang.Object` `selection` The object which composes the selection
`static int` `SELECTION_CHANGED` The id for the "selection changing" event.
`static int` `SELECTION_CLEARED` The id for the "selection cleared" event.
`static int` `SELECTION_DONE` The id for the "selection completed" event.
`static int` `SELECTION_STARTED` The id for the "selection started" event.

Constructor Summary
`SelectionEvent(java.lang.Object selection, int id, java.awt.Shape highlightShape)` Constructs a new graphics node paint event.

Method Summary
`java.awt.Shape` `getHighlightShape()` Returns a shape in user space that encloses the current selection.
`int` `getID()` Returns the event's selection event type.
`java.lang.Object` `getSelection()` Returns the selection associated with this event.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SELECTION_CHANGED

    public static final int SELECTION_CHANGED

  The id for the "selection changing" event. (Selection process is under way)

  See Also:
    Constant Field Values

### SELECTION_CLEARED

    public static final int SELECTION_CLEARED

  The id for the "selection cleared" event.

  See Also:
    Constant Field Values

### SELECTION_STARTED

    public static final int SELECTION_STARTED

  The id for the "selection started" event.

  See Also:
    Constant Field Values

### SELECTION_DONE

    public static final int SELECTION_DONE

  The id for the "selection completed" event. (Selection process is complete).

  See Also:
    Constant Field Values

### highlightShape

    protected java.awt.Shape highlightShape

  The shape enclosing the selection

### selection

    protected java.lang.Object selection

  The object which composes the selection

### id

    protected int id

  The event type of the current selection event

Constructor Detail

### SelectionEvent

    public SelectionEvent(java.lang.Object selection,
                          int id,
                          java.awt.Shape highlightShape)

  Constructs a new graphics node paint event.

Parameters:
  `selection` - the selection
  `id` - the id of this event
  `highlightShape` - a user-space shape enclosing the selection.

Method Detail

### getHighlightShape

    public java.awt.Shape getHighlightShape()

  Returns a shape in user space that encloses the current selection.

### getSelection

    public java.lang.Object getSelection()

  Returns the selection associated with this event. Only guaranteed current for events of type SELECTION_DONE.

### getID

    public int getID()

  Returns the event's selection event type.

  See Also:
    `SELECTION_CHANGED`, `SELECTION_CLEARED`, `SELECTION_DONE`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.